package com.shzg.project.worn.mapper;

import java.util.List;
import com.shzg.project.worn.domain.WornOutboundItem;

/**
 * 出库单明细Mapper接口
 * 
 * @author shzg
 * @date 2026-04-08
 */
public interface WornOutboundItemMapper 
{
    /**
     * 查询出库单明细
     * 
     * @param id 出库单明细主键
     * @return 出库单明细
     */
    public WornOutboundItem selectWornOutboundItemById(Long id);

    /**
     * 查询出库单明细列表
     * 
     * @param wornOutboundItem 出库单明细
     * @return 出库单明细集合
     */
    public List<WornOutboundItem> selectWornOutboundItemList(WornOutboundItem wornOutboundItem);

    /**
     * 新增出库单明细
     * 
     * @param wornOutboundItem 出库单明细
     * @return 结果
     */
    public int insertWornOutboundItem(WornOutboundItem wornOutboundItem);

    /**
     * 修改出库单明细
     * 
     * @param wornOutboundItem 出库单明细
     * @return 结果
     */
    public int updateWornOutboundItem(WornOutboundItem wornOutboundItem);

    /**
     * 删除出库单明细
     * 
     * @param id 出库单明细主键
     * @return 结果
     */
    public int deleteWornOutboundItemById(Long id);

    /**
     * 批量删除出库单明细
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWornOutboundItemByIds(Long[] ids);


    int countNotOutboundByBillId(Long billId);
}
